commit:     dff2d1caa1df29d70fdbee7c9381fbc112fb70b1
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu Apr  8 09:01:27 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sat Apr 10 08:54:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dff2d1ca

dev-java/slf4j-api: adjust jar file

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: 
https://github.com/gentoo/gentoo/pull/20305/commits/fd5a595158dfe21dee901ab5b919536980083bde
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/slf4j-api/slf4j-api-1.7.30-r1.ebuild | 58 +++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/dev-java/slf4j-api/slf4j-api-1.7.30-r1.ebuild 
b/dev-java/slf4j-api/slf4j-api-1.7.30-r1.ebuild
new file mode 100644
index 00000000000..d3b7abaac83
--- /dev/null
+++ b/dev-java/slf4j-api/slf4j-api-1.7.30-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom 
slf4j-v_1.7.30/slf4j-api/pom.xml --download-uri 
https://github.com/qos-ch/slf4j/archive/refs/tags/v_1.7.30.tar.gz --slot 0 
--keywords "~amd64 ~arm64 ~ppc64 ~x86" --ebuild slf4j-api-1.7.30.ebuild
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.slf4j:slf4j-api:1.7.30"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="The slf4j API"
+HOMEPAGE="https://www.slf4j.org";
+SRC_URI="https://github.com/qos-ch/slf4j/archive/refs/tags/v_${PV}.tar.gz -> 
slf4j-${PV}-sources.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+       >=virtual/jdk-1.8:*
+"
+
+RDEPEND="
+       >=virtual/jre-1.8:*
+"
+BDEPEND="app-arch/zip"
+
+S="${WORKDIR}/slf4j-v_${PV}/${PN}"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+JAVA_TEST_EXCLUDES=(
+       # This code should have never made it into slf4j-api.jar
+       "org.slf4j.NoBindingTest"
+
+       # java.lang.InstantiationException
+       "org.slf4j.helpers.MultithreadedInitializationTest"
+)
+
+src_prepare() {
+       default
+       java-pkg_clean
+}
+
+src_compile() {
+       java-pkg-simple_src_compile
+
+       # remove org/slf4j/impl/ from the jar file
+       zip -d ${PN}.jar org/slf4j/impl/\* || die "Failed to remove impl files"
+}

Reply via email to